Subject: bug#39051: nginx caching headers are broken due to epoch store timestamps

From: Robert Vollmert <[email-masked]>
Date: Thu, 9 Jan 2020 13:12:41 +0100

I don’t see anything here: https://debbugs.gnu.org/cgi/pkgreport.cgi?package=guix;include=subject%3Anginx

> On 9. Jan 2020, at 12:00, Gábor Boskovits <[email-masked]> wrote:
> 
> Hello,
> 
> Robert Vollmert <[email-masked]> ezt írta (időpont: 2020. jan. 9., Cs, 11:54):
>> 
>> I’ve been having hard-to-debug caching issues serving up static files
>> with nginx. It turns out this is due to nginx computing e-tag headers
>> from file timestamps, which are all epoch in the guix store.
>> 
>> I’ve fixed this on my server by applying a patch from Nix:
>> https://github.com/robx/guix/commit/4b406f5bc608b3c0e18e15795d8fe61d3477a3e2
> 
> this is a known issue. Could you look around the tracker and merge?
>> 
>> 
>> 
>> 
> 
> Also, on the long run it would be nice to contribute a working etags
> computation to nginx, that
> is based on the file content hash, or something like that. Does that make sense?
> 
> Best regards,
> g_bor
> -- 
> OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21